summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorChristian Grothoff <grothoff@gnunet.org>2024-02-05 14:47:14 +0100
committerChristian Grothoff <grothoff@gnunet.org>2024-02-05 14:47:14 +0100
commita426e984a92e04eabea4456751747267cf7f13cf (patch)
tree59f358f24c3e61919868176cd473fea7c73a7893 /contrib
parent189ae65d60088eb612df68e5d50325a2793ec0a4 (diff)
downloadtaler-mdb-a426e984a92e04eabea4456751747267cf7f13cf.tar.gz
taler-mdb-a426e984a92e04eabea4456751747267cf7f13cf.tar.bz2
taler-mdb-a426e984a92e04eabea4456751747267cf7f13cf.zip
make scripts more verbose
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/taler-mdb-ads.sh23
-rwxr-xr-xcontrib/taler-mdb-network-check.sh2
-rwxr-xr-xcontrib/taler-mdb-show.sh23
3 files changed, 43 insertions, 5 deletions
diff --git a/contrib/taler-mdb-ads.sh b/contrib/taler-mdb-ads.sh
index 0fc1213..6c2d411 100755
--- a/contrib/taler-mdb-ads.sh
+++ b/contrib/taler-mdb-ads.sh
@@ -1,6 +1,25 @@
#!/bin/bash
-
-set -eu
+#
+# This file is part of TALER
+# Copyright (C) 2023, 2024 Taler Systems SA
+#
+# TALER is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 3, or
+# (at your option) any later version.
+#
+# TALER is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with TALER; see the file COPYING. If not, see
+# <http://www.gnu.org/licenses/>
+#
+# Author: Christian Grothoff
+#
+set -eux
function cleanup()
{
diff --git a/contrib/taler-mdb-network-check.sh b/contrib/taler-mdb-network-check.sh
index 8fdcdcd..db71fd1 100755
--- a/contrib/taler-mdb-network-check.sh
+++ b/contrib/taler-mdb-network-check.sh
@@ -25,7 +25,7 @@
# and show an error message.
#
-set -eux
+set -eu
EXIT_STATUS=0
CHILD_PID=-1
diff --git a/contrib/taler-mdb-show.sh b/contrib/taler-mdb-show.sh
index f802434..b36d575 100755
--- a/contrib/taler-mdb-show.sh
+++ b/contrib/taler-mdb-show.sh
@@ -1,6 +1,25 @@
#!/bin/bash
-
-set -eu
+#
+# This file is part of TALER
+# Copyright (C) 2023, 2024 Taler Systems SA
+#
+# TALER is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; either version 3, or
+# (at your option) any later version.
+#
+# TALER is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public
+# License along with TALER; see the file COPYING. If not, see
+# <http://www.gnu.org/licenses/>
+#
+# Author: Christian Grothoff
+#
+set -eux
function cleanup()
{